package com.bocloud.ims.entity.resource.powervc;

import com.bocloud.cmp.entity.enums.CloudProvider;

public class PowervcRedisKeyBuilder {

    public static String buildForVolume(long vendorId, long storageId) {
        return CloudProvider.POWERVC.name() + "." + vendorId + ".storage." + storageId + ".volumes.validate";
    }

    public static String buildForVM(long vendorId, long serverId) {
        return CloudProvider.POWERVC.name() + "." + vendorId + ".server." + serverId + ".vms.validate";
    }

}
